Множественные уязвимости в KnowledgeTree

Дата публикации:
29.12.2008
Дата изменения:
29.12.2008
Всего просмотров:
2105
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5857
CVE-2008-5858
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
KnowledgeTree Open Source 3.x
Уязвимые версии: KnowledgeTree Open Source версии до 3.5.4a

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и повысить свои привилегии.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за неизвестной ошибки в DropDocuments плагине. Удаленный пользователь может получить привилегии администратора приложения.

URL производителя: www.ktdms.com/products/knowledgetree/index.html

Решение: Установите последнюю версию 3.5.4a с сайта производителя.

Ссылки: http://wiki.knowledgetree.com/Version_3.5.4a#Security
http://issues.knowledgetree.com/browse/KTS-3921

или введите имя

CAPTCHA